LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-05-2004, 09:38 PM   #1
wearetheborg
Member
 
Registered: Sep 2004
Distribution: Mint 19.1
Posts: 298

Rep: Reputation: 41
Probelm copiling fluxbox


I'm geting the following error when trying to copile fluxbox(in user mode, dont hav root access):
...
checking for strftime... yes
checking for iconv... yes (non const msg)
checking for t_open in -lnsl... no
checking for socket in -lsocket... no
checking for X... no
configure: error: Fluxbox requires the X Window System libraries and headers.


How do I fix this? Thanks
 
Old 11-05-2004, 09:40 PM   #2
Kami.JZ
LQ Newbie
 
Registered: Oct 2004
Location: NY, USA
Distribution: Mepis | Debian
Posts: 25

Rep: Reputation: 15
You can install it through a package.
 
Old 11-05-2004, 09:50 PM   #3
ror
Member
 
Registered: May 2004
Distribution: Ubuntu
Posts: 583

Rep: Reputation: 33
Re: Probelm copiling fluxbox

Quote:
Originally posted by wearetheborg
I'm geting the following error when trying to copile fluxbox(in user mode, dont hav root access):
...
checking for strftime... yes
checking for iconv... yes (non const msg)
checking for t_open in -lnsl... no
checking for socket in -lsocket... no
checking for X... no
configure: error: Fluxbox requires the X Window System libraries and headers.


How do I fix this? Thanks
Do you have X installed first?

That error message is quite specific.

p.s. what distro are you using?
 
Old 11-05-2004, 11:06 PM   #4
wearetheborg
Member
 
Registered: Sep 2004
Distribution: Mint 19.1
Posts: 298

Original Poster
Rep: Reputation: 41
I *think* I have X installed, running KDE right now
OS is Red HAt enterprise WS release 3

I cannot install via a package as I do not have root access.
 
Old 11-07-2004, 02:50 PM   #5
wearetheborg
Member
 
Registered: Sep 2004
Distribution: Mint 19.1
Posts: 298

Original Poster
Rep: Reputation: 41
Bump
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
a few issues after copiling 2.6.9 YBA^[x] Slackware 4 01-22-2005 03:44 AM
Fluxbox Probelm: fbsetbg error Chryyz Linux - Software 2 12-20-2004 04:52 PM
Probelm with sound yigal Mandriva 5 10-04-2004 09:54 PM
Probelm with sound yigal Linux - General 1 09-27-2004 01:32 PM
Copiling kernel 2.6.6 on ASus p4c800e-delux asus Linux - Software 0 05-24-2004 03:03 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:42 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration